Bug 391661 - F-spot logs out user
F-spot logs out user
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2007-11-20 03:26 EST by antonio montagnani
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-11 18:03:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description antonio montagnani 2007-11-20 03:26:40 EST
Description of problem:
Shutdown of F-spot by x logs out user

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.open an image in f-spot
2.click on the x on the right of the window to close f-spot
3.user is logged out
Actual results:

Expected results:
It should close fine

Additional info:
Comment 1 yonas abraham 2007-11-29 20:35:15 EST
I have been hit by this bug.
Comment 2 Christopher Aillon 2007-12-28 15:46:44 EST
Nothing obvious when running f-spot in debug mode... This is probably an X
server bug since nothing a client does should take down the X server...

What driver and graphics card are you using?
Comment 3 Matěj Cepl 2008-01-09 10:35:27 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 antonio montagnani 2008-01-10 04:24:24 EST
As I am testing only F9 I don't experience such a bug...so It does not make any
sense to attach my conf and log file for X11.
I hope other reporter can attach these files
Comment 5 Matěj Cepl 2008-01-10 06:50:03 EST
OK, so should I close this bug as unreproducable? yonas?
Comment 6 yonas abraham 2008-01-11 22:05:15 EST
I am having x-windows to work now on that machine. let me wait till I get able
to make X to work. that is the price of Rawhide. 
Comment 7 Matěj Cepl 2008-02-11 09:47:44 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 8 yonas abraham 2008-02-11 10:09:00 EST
I can't seem to reproduce the problem in the current Rawhide. So you can close it.
Comment 9 Matěj Cepl 2008-02-11 18:03:30 EST
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.